%{?nodejs_find_provides_and_requires}

%global packagename path-to-regexp
%global enable_tests 1

Name:		nodejs-path-to-regexp
Version:	1.2.1
Release:	3%{?dist}
Summary:	Express style path to RegExp utility

License:	MIT
URL:		https://github.com/pillarjs/path-to-regexp.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/pillarjs/path-to-regexp/v%{version}/test.js



BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(chai)
BuildRequires:	npm(isarray)
%endif

Requires:	nodejs

%description
Express style path to RegExp utility


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Mon Nov 09 2015 Jared Smith <jsmith@fedoraproject.org> - 1.2.1-3
- Remove test.js from the list of installed files
- Change Source1 to use tag rather than hash

* Fri Nov 06 2015 Jared Smith <jsmith@fedoraproject.org> - 1.2.1-2
- Add missing build dependencies

* Thu Nov  5 2015 Jared Smith <jsmith@fedoraproject.org> - 1.2.1-1
- Initial packaging
